package com.ruoyi.system.domain.blackManage;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 黑名单管理对象 black_manage
 * 
 * @author boman
 * @date 2025-02-17
 */
public class BlackManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 黑名单管理id */
    private Long blackManageId;

    /** 黑名单类型 */
    @Excel(name = "黑名单类型")
    private String blackType;

    /** 黑名单说明 */
    @Excel(name = "黑名单说明")
    private String blackTitle;

    /** 黑名单的阈值 */
    @Excel(name = "黑名单的阈值")
    private String blackNum;

    /** 黑名单是否启用 */
    @Excel(name = "黑名单是否启用")
    private String isDel;

    public void setBlackManageId(Long blackManageId) 
    {
        this.blackManageId = blackManageId;
    }

    public Long getBlackManageId() 
    {
        return blackManageId;
    }
    public void setBlackType(String blackType) 
    {
        this.blackType = blackType;
    }

    public String getBlackType() 
    {
        return blackType;
    }
    public void setBlackTitle(String blackTitle) 
    {
        this.blackTitle = blackTitle;
    }

    public String getBlackTitle() 
    {
        return blackTitle;
    }
    public void setBlackNum(String blackNum) 
    {
        this.blackNum = blackNum;
    }

    public String getBlackNum() 
    {
        return blackNum;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("blackManageId", getBlackManageId())
            .append("blackType", getBlackType())
            .append("blackTitle", getBlackTitle())
            .append("blackNum", getBlackNum())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
